Subject: Re: Gcc 3.2 -mno-cygwin
From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sun, 15 Dec 2002 22:09:06 -0500

At 06:27 PM 12/15/2002, Christopher Faylor wrote:
>On Sun, Dec 15, 2002 at 11:15:42AM -0800, Jim wrote:
> >Someone broke GCC somewhere....
> >
> >echo 'int main( void ) { return 1; }' >test.c
> >gcc -mno-cygwin -c test.c
> >
> >results: 
> >gcc: installation problem, cannot exec `cc1': No such file or directory
> >
> >there is definatly no cc1 with gcc 3.2 (not sure where it went, but...)
> >
> >- off to roll back to 2.95.3 or whatever...
>
>This is a cockpit error which has nothing to do with gcc packaging.
>Use the cygwin mailing list for this.  I've redirected this there.
>
>The short answer, however, is that you apparently don't have the
>gcc-mingw package installed, for some reason.  setup.exe should install
>this automatically when you install gcc.  I have no idea why this is not
>doing so in this case.

Of course, Chris is right about this although I found I could reproduce the
problem reported even with the gcc-mingw package installed.  However, 
rerunning setup and reinstalling this package resolved the issue.  
Unfortunately, I can't explain why this should be necessary in the first
place.  But I offer it as a resolution for anyone else who might see this 
despite having gcc-mingw installed.

Larry Hall                              [email-masked]
RFK Partners, Inc.                      http://www.rfk.com
838 Washington Street                   (508) 893-9779 - RFK Office
Holliston, MA 01746                     (508) 893-9889 - FAX

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/